/* Exemplet visar en tillämpning där olika mushändelser
   kommer in i en presentation av produkter. */
// --------------------------------------------------
// Globala variabler och konstanter
// ---- Produktregister --
const prodImg = ["chair1.jpg", "chair2.jpg", "chair3.jpg", "chair4.jpg", "chair5.jpg"]; // Filnamn för produkter
const largeImgPath = "img/chairs/";         // Sökväg för stora produktbilder
const thumbsPath = "img/chairs/thumbs/";    // Sökväg för små produktbilder
const prodInfo = [                          // Beskrivningar av produkterna
    "Robust och stilfull trästol.",
    "Klassisk pinnstol med vacker patina.",
    "Pall med vikbara ben. Kan också användas som ett sidobord.",
    "Bekväm stol med många detaljer.",
    "Praktisk stol för trädgård eller balkong."
];
const price = [495, 320, 145, 375, 230]; // Pris för produkterna
// ---- --
let prodInfoElem;   // Element där beskrivning ska skrivas
let priceElem;      // Element där priset ska skrivas
let largeImg;       // Element för stor produktbild
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    let HTMLcode = "";
    for (let i = 0; i < prodImg.length; i++) { // Skapa först  HTML-kod för de små bilderna
        let url = thumbsPath + prodImg[i];
        HTMLcode += "<li><img src='" + url + "' alt='produkt'></li>";
    }
    document.querySelector("#products > ul").innerHTML = HTMLcode;

	let thumbs = document.querySelectorAll("#products > ul img"); // Alla små bilder
    for (let i = 0; i < thumbs.length; i++) { // Initiera de små bilderna
        thumbs[i].setAttribute("data-ix", i);
        thumbs[i].addEventListener("mouseenter", showProduct);
    }

    largeImg = document.querySelector("#products > img");
    prodInfoElem = document.querySelector("#products .prodInfo");
    priceElem = document.querySelector("#products .price");
    largeImg.addEventListener("click", clickLargeImg);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Visa stor produktbild, beskrivning och pris
function showProduct(e) {
    let ix = this.getAttribute("data-ix");
    largeImg.src = largeImgPath + prodImg[ix];
    largeImg.classList.remove("turnHorizontal");
    largeImg.classList.remove("turnVertical");
    prodInfoElem.innerText = prodInfo[ix];
    priceElem.innerText = price[ix] + " kr";
} // Slut showProduct
// --------------------------------------------------
function clickLargeImg(e) {
    largeImg.classList.toggle("turnHorizontal");
    if (e.shiftKey) {
        largeImg.classList.toggle("turnVertical");
    }
} // Slut clickLargeImg
// --------------------------------------------------
